'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.GoogleProvider = exports.YandexProvider = exports.NoopProvider = exports.Util = exports.Translator = undefined;

var _nodeFetch = require('node-fetch');

var _nodeFetch2 = _interopRequireDefault(_nodeFetch);

var _sha = require('sha-1');

var _sha2 = _interopRequireDefault(_sha);

var _qs = require('qs');

var _qs2 = _interopRequireDefault(_qs);

var _fetch = require('./fetch');

var _fetch2 = _interopRequireDefault(_fetch);

var _Util = require('./Util');

var _Util2 = _interopRequireDefault(_Util);

var _Translator = require('./Translator');

var _Translator2 = _interopRequireDefault(_Translator);

var _NoopProvider = require('./provider/NoopProvider');

var _NoopProvider2 = _interopRequireDefault(_NoopProvider);

var _YandexProvider = require('./provider/YandexProvider');

var _YandexProvider2 = _interopRequireDefault(_YandexProvider);

var _GoogleProvider = require('./provider/GoogleProvider');

var _GoogleProvider2 = _interopRequireDefault(_GoogleProvider);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

_fetch2.default.setHelper(_nodeFetch2.default);

_Util2.default.addHelper('stringify', _qs2.default.stringify);
_Util2.default.addHelper('sha1', _sha2.default);

_Translator2.default.addProvider('noop', _NoopProvider2.default);
_Translator2.default.addProvider('yandex', _YandexProvider2.default);
_Translator2.default.addProvider('google', _GoogleProvider2.default);

exports.Translator = _Translator2.default;
exports.Util = _Util2.default;
exports.NoopProvider = _NoopProvider2.default;
exports.YandexProvider = _YandexProvider2.default;
exports.GoogleProvider = _GoogleProvider2.default;