'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _fetch = require('../bower_components/fetch/fetch.js');

var _fetch2 = _interopRequireDefault(_fetch);

var _sha = require('../bower_components/SHA-1/sha1.js');

var _sha2 = _interopRequireDefault(_sha);

var _qs = require('../bower_components/qs/src/qs.js');

var _qs2 = _interopRequireDefault(_qs);

var _fetch3 = require('./fetch');

var _fetch4 = _interopRequireDefault(_fetch3);

var _Util = require('./Util');

var _Util2 = _interopRequireDefault(_Util);

var _Translator = require('./Translator');

var _Translator2 = _interopRequireDefault(_Translator);

var _NoopProvider = require('./provider/NoopProvider');

var _NoopProvider2 = _interopRequireDefault(_NoopProvider);

var _YandexProvider = require('./provider/YandexProvider');

var _YandexProvider2 = _interopRequireDefault(_YandexProvider);

var _GoogleProvider = require('./provider/GoogleProvider');

var _GoogleProvider2 = _interopRequireDefault(_GoogleProvider);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

_fetch4.default.setHelper(_fetch2.default);

_Util2.default.addHelper('stringify', _qs2.default.stringify);
_Util2.default.addHelper('sha1', _sha2.default);

_Translator2.default.addProvider('noop', _NoopProvider2.default);
_Translator2.default.addProvider('yandex', _YandexProvider2.default);
_Translator2.default.addProvider('google', _GoogleProvider2.default);

window.doTranslate = {
    Translator: _Translator2.default,
    Util: _Util2.default,
    NoopProvider: _NoopProvider2.default,
    YandexProvider: _YandexProvider2.default,
    GoogleProvider: _GoogleProvider2.default
};

exports.default = true;